#
# spec file for package yast2-agent-system (Version 2.4.17)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake dejagnu expect gpp libgpp libpkg libpkg-devel libscr libscr-devel liby2 liby2-devel libycp libycp-devel tcl ydoc
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db dejagnu devs diffutils e2fsprogs expect file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libpkg libpkg-devel libscr libscr-devel libtool liby2 liby2-devel libycp libycp-devel libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit tcl texinfo textutils timezone unzip util-linux vim ydoc

Name:         yast2-agent-system
Copyright:    (c) 2000 SuSE GmbH
Group:        System Environment/YaST
Summary:      System Agent component
Version:      2.4.17
Release:      16
Source0:      yast2-agent-system-2.4.17.tar.bz2

%description
This package contains the System Agent component of the YaST2-SCR
system. The System Agent allows for transparent access to the system.

Authors:
--------
    Klaus Kaempf <kkaempf@suse.de> 
    Michal Svec <msvec@suse.cz> 
    Petr Blahos <pblahos@suse.cz> 
    

SuSE series: yast

%package devel
Version:      2.4.17
Release:      16
Summary:      System Agent component
Group:        Development/Libraries

%description devel
This package contains the System Agent component of the YaST2-SCR
system. The System Agent allows for transparent access to the system.
This package is only needed by YaST2 developers.

Authors:
--------
    Klaus Kaempf <kkaempf@suse.de> 
    Michal Svec <msvec@suse.cz> 
    Petr Blahos <pblahos@suse.cz> 
    

SuSE series: yast

%prep
%setup -n yast2-agent-system-2.4.17

%build
aclocal
libtoolize --force --automake --copy
autoheader
automake --add-missing --copy
autoconf
%ifarch s390x
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG -fsigned-char"
%else
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
%endif
%{?suse_update_config:%{suse_update_config -f}}
./configure
make

%install
make install-strip
strip --strip-debug /usr/lib/YaST2/plugin/libpy2ag_system.so.2.0.0

%files
%dir /usr/lib/YaST2/plugin
/usr/lib/YaST2/plugin/libpy2ag_system.so.*
%dir /usr/lib/YaST2/scrconf
/usr/lib/YaST2/scrconf/*.scr

%files devel
%dir /usr/lib/YaST2/plugin
/usr/lib/YaST2/plugin/libpy2ag_system.so
/usr/lib/YaST2/plugin/libpy2ag_system.la
%dir /usr/share/doc/packages/yast2-agent-system
/usr/share/doc/packages/yast2-agent-system/*

%changelog -n yast2-agent-system
* Fri Sep 21 2001 - arvin@suse.de
- ensure that under no circumstances output from a call of .bash
  does get to stdout/stderr, since that disturbs communication
  between yast2 components
* Thu Aug 30 2001 - kkaempf@suse.de
- return correct type if ".string" fails.
* Wed Aug 29 2001 - arvin@suse.de
- removed obsolete targetroot functions
* Thu Aug 23 2001 - arvin@suse.de
- fixed segmentation fault when reading big file with Read (.byte)
* Thu Aug 16 2001 - arvin@suse.de
- honor target root in Read (.size) command
* Mon Aug 13 2001 - arvin@suse.de
- reactivated Read (.root) command
* Fri Aug 10 2001 - arvin@suse.de
- fixed use of findy2, thus fixed handling of targetroot in
  Read (.yast2)
- renamed functions get_targetroot and prepend_targetroot to
  just get_root and prepend_root
* Thu Aug 09 2001 - kkaempf@suse.de
- log all shell commands as milestone
* Wed Aug 08 2001 - arvin@suse.de
- implemented Write (.byte)
- use new get_targetroot function
* Tue Aug 07 2001 - arvin@suse.de
- removed command Execute (.inject)
* Tue Aug 07 2001 - arvin@suse.de
- use Y2_TARGET_ROOT in Read (.string), Read (.yast2), Read (.byte),
  Write (.string), Write (.yast2) and Execute (.bash)
* Thu Jul 26 2001 - kkaempf@suse.de
- report errors via YCPError()
* Tue Jul 17 2001 - msvec@suse.cz
- new package for the updated testsuite
- version 2.4.5
* Thu Jun 28 2001 - arvin@suse.de
- added tiny testsuite
* Thu Jun 28 2001 - arvin@suse.de
- fixed handling of Y2_TARGET_ROOT environment variable
* Wed Jun 27 2001 - arvin@suse.de
- fixed to compile on gcc 3.0
* Tue Jun 26 2001 - arvin@suse.de
- implemented command Read (.byte) to read a byteblock
* Mon Jun 25 2001 - arvin@suse.de
- new package containing target agent for yast2-core-scr
